#
# spec file for package ccrtp
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ccrtp
%define lname libccrtp3
Version:        2.1.2
Release:        bp155.2.12
Summary:        A Common C++ Class Framework for RTP Packets
License:        SUSE-GPL-2.0+-with-openssl-exception
Group:          Development/Libraries/C and C++
Url:            http://gnu.org/software/ccrtp/

#Git-Clone:	git://git.sv.gnu.org/ccrtp
Source:         http://ftp.gnu.org/pub/gnu/ccrtp/%name-%version.tar.gz
Source2:        http://ftp.gnu.org/pub/gnu/ccrtp/%name-%version.tar.gz.sig
Source3:        %name.keyring
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libgcrypt-devel
BuildRequires:  pkg-config
BuildRequires:  ucommon-devel >= 6.2.2
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The ccrtp package offers a generic framework for sending and receiving
real-time streaming data over UDP packets using sending and receiving
packet queues.

%package -n %lname
Summary:        A Common C++ Class Framework for RTP Packets
Group:          System/Libraries

%description -n %lname
The ccrtp package offers a generic framework for sending and receiving
real-time streaming data over UDP packets using sending and receiving
packet queues.

%package devel
Summary:        Include-files and documentation for ccrtp
Group:          Development/Libraries/C and C++
PreReq:         %install_info_prereq
Requires:       %lname = %version
Requires:       libgcrypt-devel
Requires:       ucommon-devel >= 5.0.0
Provides:       %lname-devel = %version
Provides:       libccrtp-devel = %version
Obsoletes:      libccrtp-devel < %version

%description devel
This package contains files needed when developing applications using
ccrtp.

%package doc
Summary:        Generated class documentation for ccrtp
Group:          Documentation/HTML
%if 0%{?suse_version} >= 1130 || 0%{?fedora_version}
BuildArch:      noarch
%endif

%description doc
Generated class documentation for the ccrtp library from header
files, html browsable.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la
%fdupes %buildroot/%_prefix

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%post devel
%install_info --info-dir=%_infodir %_infodir/ccrtp.info.gz

%postun devel
%install_info_delete --info-dir=%_infodir %_infodir/ccrtp.info.gz

%files -n %lname
%defattr(-,root,root,0755)
%doc COPYING
%_libdir/libccrtp*.so.3*

%files devel
%defattr(-,root,root,0755)
%doc AUTHORS NEWS README TODO ChangeLog
%_libdir/libccrtp*.so
%_libdir/pkgconfig/*.pc
%_includedir/ccrtp/
%_infodir/ccrtp.info*

%files doc
%defattr(-,root,root)
%doc doc/html/

%changelog
* Sat Nov 26 2016 jengelh@inai.de
- RPM group classification fix
* Thu Aug 13 2015 jengelh@inai.de
- Update to new upstream release 2.1.2
  * use ucommon cmake macros during build
- run through spec-beautifier
* Thu Dec 25 2014 p.drouand@gmail.com
- Update to version 2.1.1
  * fix endianness checks
  * cleanup alloc/dealloc
  * configure: fix libtoolize warning
  * requires ucommon 6.2.2 for endian fixes
* Sat Jun 28 2014 jengelh@inai.de
- Update to new upstream release 2.0.9
  * Fix for initial RTCP sequence number
- Remove 0001-build-properly-use-autotools.patch (merged upstream),
  libgcrypt-1.6.diff (merged upstream)
* Mon Jan  6 2014 dmueller@suse.com
- add libgcrypt-1.6.diff: Fix build with libgcrypt-1.6
* Thu Jun 13 2013 jengelh@inai.de
- Build and ship development documentation
* Wed Jun  5 2013 jengelh@inai.de
- Update to new upstream release 2.0.6
  * Fixes to the build procedure
- Remove ccrtp-ppc64.patch (no longer applies)
* Sat Mar 23 2013 schwab@suse.de
- Add aarch64 to the list of lib64 platforms
* Fri Mar 30 2012 cfarrell@suse.com
- license update: SUSE-GPL-2.0+-with-openssl-exception
  fix subpackage
* Fri Mar 23 2012 cfarrell@suse.com
- license update: SUSE-GPL-2.0+-with-openssl-exception
  Use SUSE- proprietary prefix until license accepted upstream at spdx.org
* Thu Mar 15 2012 dvaleev@suse.com
- ppc64 should also install libs in /usr/lib64
* Tue Sep 27 2011 coolo@suse.com
- rename it again to fix shared library policy packaging
* Mon Aug 29 2011 Werner.Dittmann@t-online.de
- Rename package and this change file only, no further
  modifications
* Sat Aug 20 2011 Werner.Dittmann@t-online.de
- Fix problems in spec file
  * fix name of spec file
  * remove an incorrect placed rm -rf builddir
  * Fix naming of package to honor naming policies
* Mon Aug 15 2011 cfarrell@novell.com
- license update: LGPL-2.1+
  Proper syntax for LGPL 2.1 "or later" is LGPL-2.1+"
* Thu Aug 11 2011 Werner.Dittmann@t-online.de
- Version 2.0.1 with small fixes in the build scripts
* Sun Jul 31 2011 Werner.Dittmann@t-online.de
- New version of libccrtp that uses the new GNU uCommon library
  * includes fixes for gcc 4.6 compilation, no patch required
* Sat Apr 23 2011 dmueller@suse.de
- fix shlib packaging
* Thu Mar 24 2011 coolo@novell.com
- add patch to fix compilation with gcc 4.6
* Sat Jan  8 2011 Werner.Dittmann@t-online.de
- Update to latest version of GNU ccRTP
  * small code cleanup to avoid patching
  * SRTP now supports Skein MAC that may be used
    by ZRTP
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Tue Sep  9 2008 hvogel@suse.de
- Update to version 1.6.2
  * some gcc-4.3 cleanups
  * Crypto context fixes and updates
  * fixed timestamp calculation issues
  * better constructor to RTCPReceiverInfo and RTCPSenderInfo
  * fixed bug in tf_usec field computation
  * support for sending packets to IPV6 networks
* Sun May 11 2008 crrodriguez@suse.de
- fix PreReq
- Correct dependency chain between libzrtpcpp->ccrtp->commoncpp2
- remove static libraries
* Thu Oct 11 2007 kkeil@suse.de
- fixes for GCC 4.3
* Tue Oct 10 2006 kkeil@suse.de
- update to 1.5.0
  * added missing implementation ofQueueRTCPManager::setMinRTCPInterval
  * added two new methods to class OutgoingDataQueue: setNextSeqNum
    and getCurrentSeqNum (for RTSP PLAY)
  * fixed byte ordering bug in report blocks SSRC field
* Tue Jul 18 2006 kkaempf@suse.de
- update to 1.4.1
  includes all gcc4 and 64bit fixes now.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 26 2005 kkaempf@suse.de
- build requires commoncpp2 now.
* Tue Oct 25 2005 kkaempf@suse.de
- update to 1.3.5
* Mon Aug  1 2005 mmj@suse.de
- update to version 1.3.4
- adjust development Requires:
* Wed May 25 2005 hvogel@suse.de
- update to version 1.3.1
* Thu Apr  7 2005 kkaempf@suse.de
- update to 1.2.0
- fix uint32 vs. pointer issue
- fix template parsing (dependend names, for gcc4)
* Tue Aug 10 2004 kkaempf@suse.de
- adapt to CommonC++ 1.2.4
* Sat Jan 10 2004 adrian@suse.de
- add run_ldconfig
* Tue Jun 17 2003 kkaempf@suse.de
- update to 1.0.2
- fix filelist, install .info files
* Thu Jan  2 2003 kkaempf@suse.de
- update to 1.0pre0
* Fri Jun  7 2002 kkaempf@suse.de
- update to 0.9.1
- add libxml2,libxml2-devel to neededforbuild
- make gnu specific configure more general
* Tue May 21 2002 ro@suse.de
- use libdir
* Mon Apr 22 2002 ro@suse.de
- update to 0.9.0
- build with commoncpp2
* Thu Apr 11 2002 ro@suse.de
- gcc-3 fixes
* Fri Jan  4 2002 schwab@suse.de
- Fix for gcc 3.
* Thu Dec 13 2001 kkaempf@suse.de
- Update to 0.7.1
* Mon Dec 10 2001 ro@suse.de
- changed neededforbuild <commonc++> to <CommonC++>
- changed neededforbuild <commonc++-devel> to <CommonC++-devel>
* Tue Oct 16 2001 kkaempf@suse.de
- Initial version 0.6.1
